Dragonfly CMS v9 ⇒ CPG-BB (forum) ⇒ How to create "Subforums" ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum Index Modules & Blocks CPG-BB (forum)

How to create "Subforums" Reply to topic


jeffk wrote
i have the link error in the forums

the text link points to here www.mr2oc.co.uk/index....m&f=56

whilst when you go into the forum by clicking the into the forum , then clicking the sub forum the link is thus
www.mr2oc.co.uk/index....m&f=56



there appears to be a &file missing from the first url


anyone help with whats going wrong as ive some seriously large forums and sub forums would be great

yes i did clear the cache

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CMS Version 9.1.2.1HP Version 4.4.4MySQL Version 4.1.22-standard (client: 4.1.22


ok...forgive me for asking a noob questions (but look at my name...:D)

i understand adding the files where they need to be...but where i am lost is the fact that i am using a different theme...how do i fix the theme i am using...since i can't replace these files with the one in the beta3 since they are a different theme

Nascar Racing World
Earn some extra money (i know a lot of people don't believe in these things...but i wanna let you know...i just got over 4 grand deposited in my account...)

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux CentOS/1.3.34 (Unix)/4.1.14-standard/4.4.0/9.0.6.1


I need help adding this feature to the CPG_MintIce Theme. I can't do it myself because there are som many code snippets troughout this thread i dont know where to begin. And the beta3 download only has support for dragonfly and cpgnuke. Is anyone willing to help me...i could use a file with the corrected files zipped, or maybe even a set of code that says..'put this here' 'put this there'...

Nascar Racing World
Earn some extra money (i know a lot of people don't believe in these things...but i wanna let you know...i just got over 4 grand deposited in my account...)

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux CentOS/1.3.34 (Unix)/4.1.14-standard/4.4.0/9.0.6.1


Place the included theme files in the theme directory you are using and you should be good to go.

This beta of subforums is not supported by the CGPBB Development team, we are hard at work bringing Subforums into the core of the module.

quis custodiet ipsos custodes

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Debian 6.07/Apache 2.x/MySQL 5.x/PHP 5.3/DF 9.x


jeffk wrote
i have the link error in the forums

the text link points to here www.mr2oc.co.uk/index....m&f=56

whilst when you go into the forum by clicking the into the forum , then clicking the sub forum the link is thus
www.mr2oc.co.uk/index....m&f=56



there appears to be a &file missing from the first url


anyone help with whats going wrong as ive some seriously large forums and sub forums would be great

yes i did clear the cache


Here update you sub forums with the attached files in these places.....

viewtopic.php - modules/Forums/
viewforum.php - modules/Forums/
functions_display.php - includes/phpBB/

I have sub-forums on my test site, and they work as suppose to with these files.

I'm no coder though, so if any problems occur replace the files with the originals.

USE AT YOUR OWN RISK
Attachment: fix-subforum-links.zip
Description
Filename fix-subforum-links.zip
Filesize 22.23 KiB
Downloaded 416 Time(s)
You are not allowed to view/download this attachment

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
XP / 2.0 / 5.1 / 5.2 / none


Rayvenhaus wrote
Place the included theme files in the theme directory you are using and you should be good to go.

This beta of subforums is not supported by the CGPBB Development team, we are hard at work bringing Subforums into the core of the module.


the files in the beta3 are for the dragonfly and cpgnuke themes...i am not using those themes...won't those files not match my current theme?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux CentOS/1.3.34 (Unix)/4.1.14-standard/4.4.0/9.0.6.1


try it and find out ... this is all beta code .. if it scares you to try things, then using beta code is not for you.

NEMINI.org, NEMINI.us, NEMINI.info, NYMINI.org

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
1.3.34 (Unix)/4.1.18-standard/4.4.2 /9.1.0.8 CVS


Rayvenhaus - if we are currently using the code provided here for our Subforums, will that be compatible with the integrated Subforums in the CORE?

Andreas Rönnqvist
www.omegaproject.se
[OmegaProject] Founder

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/Apache 2.0.52(Unix)/4.0.23/4.3.10-2/Dragonfly 9.0.6.1


NEMINI wrote
try it and find out ... this is all beta code .. if it scares you to try things, then using beta code is not for you.


never said it scared me...:D

i did try it...and it didn't appear to mess anything up...but it didn't work for my theme. Can someone possibly make one post that has the changes needed to the coding of each individual file?...rather than 10 different posts spread around adding changes to each other...it is a bit confusing.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux CentOS/1.3.34 (Unix)/4.1.14-standard/4.4.0/9.0.6.1


Andreas wrote
Rayvenhaus - if we are currently using the code provided here for our Subforums, will that be compatible with the integrated Subforums in the CORE?


At this time Beta3 will work with all current (9.0.7.0) DF releases. What code will actually make it into the core is still being discussed.

NEMINI.org, NEMINI.us, NEMINI.info, NYMINI.org

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
1.3.34 (Unix)/4.1.18-standard/4.4.2 /9.1.0.8 CVS


NEMINI wrote
Andreas wrote
Rayvenhaus - if we are currently using the code provided here for our Subforums, will that be compatible with the integrated Subforums in the CORE?


At this time Beta3 will work with all current (9.0.7.0) DF releases. What code will actually make it into the core is still being discussed.


sorry for being a bit off topic here...but isn't the most up to date version 9.0.6.1?...or did i miss something...that's the newest download available.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux CentOS/1.3.34 (Unix)/4.1.14-standard/4.4.0/9.0.6.1


Andreas wrote
Rayvenhaus - if we are currently using the code provided here for our Subforums, will that be compatible with the integrated Subforums in the CORE?


I am currently talking with both Brennor and ians. Brennors code appears to be made from part or all of ians code. If so then the mod released here must be sanctioned by ians or ians must release his code to me before we can go any farther. If the talks take to long, we'll go another way which means that the code here will not be compatible.

quis custodiet ipsos custodes

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Debian 6.07/Apache 2.x/MySQL 5.x/PHP 5.3/DF 9.x


i dont think so since brennor released his first and wanted to compare with ians' but he hadnt shown his

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/1.3.33 (Unix)/4.0.22-standard/4.3.9/DF 9.x


run0 wrote
i dont think so since brennor released his first and wanted to compare with ians' but he hadnt shown his


Bottom line:

We're working on modifications as requested by the survey. Currently, "Working Subforums" is a high one. What code we go with is still being discussed. That's part of the problem of using modifications to the core module. You never know if what you've used will make it into the core. One of my goals is to make it so that we don't have the headache that others used to have with phpBB. If you modd'ed your phpBB and they released the next version, you ended up reapplying those mods every time. It got to be very, very time consuming and then, as we all know, after time, those mods stopped working because things were changed in the core.

I don't want to see this happen to CPGBB. So, as always, if you used mods to a core module, then you run the risk of those mods not working in the future. Sorry. Sad

quis custodiet ipsos custodes

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Debian 6.07/Apache 2.x/MySQL 5.x/PHP 5.3/DF 9.x


run0 wrote
i dont think so since brennor released his first and wanted to compare with ians' but he hadnt shown his


I think you need to reread this topic, that's totally untrue. This item was discussed many times in the past and no one had posted anything until I did so, the code brennor posted is only a version of what I posted.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
FreeBSD 5.2.1-RELEASE, Apache 1.3.33, MySQL 4.0.16, PHP 4.3.9, DragnFly 9.0.1.1

All times are UTC


Jump to: